/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.storage.jooq.tables.LinkWithSimGroup;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class LinkWithSimGroupRecord extends UpdatableRecordImpl<LinkWithSimGroupRecord> implements Record3<Long, Long, Long> {

	private static final long serialVersionUID = -2126660500;

	/**
	 * Setter for <code>public.link_with_sim_group.id</code>.
	 */
	public LinkWithSimGroupRecord setId(Long value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.link_with_sim_group.id</code>.
	 */
	public Long getId() {
		return (Long) getValue(0);
	}

	/**
	 * Setter for <code>public.link_with_sim_group.gsm_group_id</code>.
	 */
	public LinkWithSimGroupRecord setGsmGroupId(Long value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.link_with_sim_group.gsm_group_id</code>.
	 */
	public Long getGsmGroupId() {
		return (Long) getValue(1);
	}

	/**
	 * Setter for <code>public.link_with_sim_group.sim_group_id</code>.
	 */
	public LinkWithSimGroupRecord setSimGroupId(Long value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.link_with_sim_group.sim_group_id</code>.
	 */
	public Long getSimGroupId() {
		return (Long) getValue(2);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<Long> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Record3 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row3<Long, Long, Long> fieldsRow() {
		return (Row3) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row3<Long, Long, Long> valuesRow() {
		return (Row3) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field1() {
		return LinkWithSimGroup.LINK_WITH_SIM_GROUP.ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field2() {
		return LinkWithSimGroup.LINK_WITH_SIM_GROUP.GSM_GROUP_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field3() {
		return LinkWithSimGroup.LINK_WITH_SIM_GROUP.SIM_GROUP_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value1() {
		return getId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value2() {
		return getGsmGroupId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value3() {
		return getSimGroupId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public LinkWithSimGroupRecord value1(Long value) {
		setId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public LinkWithSimGroupRecord value2(Long value) {
		setGsmGroupId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public LinkWithSimGroupRecord value3(Long value) {
		setSimGroupId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public LinkWithSimGroupRecord values(Long value1, Long value2, Long value3) {
		value1(value1);
		value2(value2);
		value3(value3);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached LinkWithSimGroupRecord
	 */
	public LinkWithSimGroupRecord() {
		super(LinkWithSimGroup.LINK_WITH_SIM_GROUP);
	}

	/**
	 * Create a detached, initialised LinkWithSimGroupRecord
	 */
	public LinkWithSimGroupRecord(Long id, Long gsmGroupId, Long simGroupId) {
		super(LinkWithSimGroup.LINK_WITH_SIM_GROUP);

		setValue(0, id);
		setValue(1, gsmGroupId);
		setValue(2, simGroupId);
	}
}
